Query background check validation
GET /validate/background HTTP/1.1
Host: {{api_auco}}
Authorization: {{public_key}}
Service to query a background check validation.
Authentication
Include your public key in the Authorization header.
Authorization: puk_xxx...
Query Parameters
| Name | Description |
|---|---|
| code String | Required. Process code to query. |
🧪 Usage examples
- Curl
- Python
- Node.js
curl -X GET '{{api_auco}}/validate/background?code=XXXXXXXXX' \
-H 'Authorization: {{public_key}}'
import requests
response = requests.get(
"{{api_auco}}/validate/background",
headers={"Authorization": "{{public_key}}"},
params={"code": "XXXXXXXXX"}
)
print(response.json())
const axios = require('axios');
axios
.get('{{api_auco}}/validate/background', {
headers: { Authorization: '{{public_key}}' },
params: { code: 'XXXXXXXXX' },
})
.then((response) => console.log(response.data));
📥 Example responses
info
The ready property indicates whether the validation process has been completed or if the document is not yet ready. If the document is ready, the url property will be provided with the signed URL for downloading the document. Signed URLs are valid for 2 minutes before they expire.
- Pending validation.
- Ready validation.
{
"code": "XXXXXXXXX",
"name": "1001001010",
"email": "example@auco.ai",
"data": {
"name": "NOMBRE APELLIDO APELLIDO",
"type": "CC",
"identification": "1001001010",
"expeditionDate": "01/01/1995"
},
"ready": false
}
{
"code": "XXXXXXXXX",
"name": "1001001010",
"url": "https://s3.amazonaws.com/.../signed-url",
"email": "example@auco.ai",
"data": {
"type": "CC",
"identification": "1001001010",
"expeditionDate": "01/01/1995",
"name": "NOMBRE APELLIDO APELLIDO",
"error": true,
"reports": false
},
"ready": true,
"validation": {
"contaduria": false,
"contraloria": false,
"defuncion": {
"date": "25/02/2026",
"doc": 1001001010,
"validity": "Vigente (Vivo)"
},
"delitos_sexuales": [],
"hallazgos": {
"altos": [],
"bajos": [
{
"cantidad": "001",
"codigo": "sigep",
"coincidencia": "True",
"descripcion": "El documento consultado tiene registrada su hoja de vida con información laboral y antecedentes en el Sistema de Información y Gestión del Empleo Público (SIGEP) de Colombia.",
"fuente": "sigep",
"hallazgo": "SIGEP: El documento consultado registra en el Sistema de Información y Gestión del Empleo Público",
"html_id": null
},
{
"cantidad": "001",
"codigo": "reputacional_news",
"coincidencia": "True",
"descripcion": "Es posible que el titular de documento se encuentra en al menos una noticia o sitio de internet al consultarlo con base a su nombre completo.",
"fuente": "reputacional",
"hallazgo": "Noticias Reputacionales: El nombre consultado registra en al menos una noticia o sitio web.",
"html_id": null
},
{
"cantidad": "001",
"codigo": "reputacional_social",
"coincidencia": "True",
"descripcion": "Es posible que el titular de documento se encuentra en alguna red social como Facebook, LinkedIn, YouTube o Twitter.",
"fuente": "reputacional",
"hallazgo": "Redes Sociales: El nombre consultado presenta coincidencia en alguna red social",
"html_id": null
}
],
"infos": [
{
"cantidad": "001",
"codigo": "rut",
"coincidencia": "True",
"descripcion": "El titular del documento está inscrito en el Registro Único Tributario (RUT).",
"fuente": "rut",
"hallazgo": "RUT: El documento consultado se encuentra en el Registro Único Tributario.",
"html_id": null
},
{
"cantidad": "001",
"codigo": "rama_proceso_csv",
"coincidencia": "True",
"descripcion": "El nombre al ser consultado en la fuente, registra en más de un proceso judicial.",
"fuente": "rama_unificada",
"hallazgo": "Rama Unificada: El nombre consultado registra en 15 procesos con coincidencia parcial.",
"html_id": "https://app.auco.ai/validation/download/rama_unificada/example-uuid.zip"
},
{
"cantidad": "001",
"codigo": "fosyga_regimen",
"coincidencia": "True",
"descripcion": "El documento consultado presenta novedad en el régimen de afiliación, aparece como Contributivo, Subsidiado o Especial en la BDUA (Base Datos Única de Afiliados del Sistema General de Seguridad Social).",
"fuente": "fosyga",
"hallazgo": "FOSYGA: Su régimen de afiliación a la EPS es: CONTRIBUTIVO",
"html_id": null
}
],
"medios": []
},
"nivel": "bajo",
"interpol": false,
"ofac": false,
"policia": false,
"proveedores_ficticios": false,
"rama": {
"bogotajepms": false,
"medellinjepms": false,
"calijepms": false,
"barranquillajepms": false
},
"rama_unificada": [
{
"actuaciones": [],
"cantFilas": 0,
"claseProceso": "",
"demandado": null,
"demandante": null,
"departamento": "",
"despacho": "",
"detalle": false,
"dict_data_extra": [
{
"number_of_pages": 1,
"number_of_private_records": 0,
"number_of_records": 15,
"pages_consulted": 1,
"processes_active": 0,
"registra_como_hallazgo": true,
"url_csv": "https://app.auco.ai/validation/download/rama_unificada/example-uuid.zip"
}
],
"esPrivado": null,
"fechaConsulta": "2026-02-25T14:52:03",
"fechaProceso": "",
"idProceso": 0,
"llaveProceso": "",
"tipoProceso": "",
"ubicacion": ""
}
],
"registraduria": {
"cedula": "1001001010",
"estado": "VIGENTE",
"fecha_exp": "1 DE ENERO DE 1995",
"lugar_exp": "BOGOTA - CUNDINAMARCA",
"nombre": "NOMBRE APELLIDO APELLIDO"
},
"rues": {
"actividades_economicas": [
"4721 Comercio al por menor de productos agrícolas para el consumo en establecimientos especializados"
],
"categoria_matricula": "PERSONA NATURAL",
"clase_identificacion": "CEDULA DE CIUDADANIA",
"estado": "ACTIVA",
"identificacion": "NIT 1001001010",
"matricula": "0000000000",
"municipio": "BOGOTA / CUNDINAMARCA",
"nit": 1001001010,
"organizacion_juridica": "PERSONA NATURAL",
"razon_social": "APELLIDO NOMBRE",
"registro_mercantil": {
"categoria_de_la_matricula": "PERSONA NATURAL",
"estado_de_la_matricula": "ACTIVA",
"fecha_de_matricula": "2026-01-01",
"fecha_de_renovacion": "2026-01-01",
"numero_de_matricula": "000000",
"tipo_de_organización": "PERSONA NATURAL",
"tipo_de_sociedad": "SOCIEDAD COMERCIAL",
"último_año_renovado": "2026"
},
"tipo": "SOCIEDAD COMERCIAL"
},
"rut": "1001001010-0",
"rut_estado": "REGISTRO ACTIVO",
"nombre": "NOMBRE APELLIDO APELLIDO",
"genero": "M",
"tipo_documento": "CC",
"fecha": "Este reporte fue generado el 25, Feb 2026 a las 10:04AM",
"error": false,
"errores": [],
"fosyga": {
"apellidos": "APELLIDO APELLIDO",
"departamento": "BOGOTA D.C.",
"documento": "1001001010",
"entidad": "EPS SURAMERICANA S.A.",
"estado": "ACTIVO",
"fecha_afiliacion": "01/01/2020",
"fecha_finalizacion_afiliacion": "31/12/2999",
"municipio": "BOGOTA D.C.",
"nombre_completo": "NOMBRE APELLIDO APELLIDO",
"nombres": "NOMBRE",
"regimen": "CONTRIBUTIVO",
"tipo_afiliado": "COTIZANTE",
"tipo_identificacion": "CC"
},
"lista_onu": false,
"lista_banco_mundial": {
"debarred_firms_individuals": [],
"others_sanctions": []
},
"offshoreleaks": {
"Bahamas Leaks": [],
"Offshore Leaks": [],
"Panama Papers": [],
"Pandora Papers": [],
"Paradise Papers": []
},
"europol": [],
"iadb": [],
"cidob": {},
"ofac_nombre": false,
"ofac_resultados": false,
"peps": [],
"peps_denom": [],
"procuraduria": [],
"sigep": {},
"sirna": [],
"paco_online": [],
"inpec": {},
"insolvencias": [],
"juzgados_tyba": [],
"reputacional": {
"news": [
{
"description": "Noticia relacionada con el titular del documento.",
"idioma": "es",
"keyword": "NOMBRE APELLIDO APELLIDO",
"link": "https://example.com/noticia",
"news_source": "google_classic",
"sentimiento": "neutral",
"title": "Título de la noticia"
}
],
"notable": {},
"social": []
},
"relacionados": []
}
}
Response fields
| Field | Type | Description |
|---|---|---|
code | String | Unique code of the validation process. |
name | String | Queried identification number. |
email | String | Email address associated with the process. |
url | String | Signed URL to download the PDF report. Only present when ready: true. Expires in 2 minutes. |
ready | Boolean | Indicates whether the validation has been completed. |
data | Object | Basic data of the queried person. |
data.name | String | Full name of the person. |
data.type | String | Document type (e.g., CC, CE, PA). |
data.identification | String | Identification number. |
data.expeditionDate | String | Document expedition date. |
data.error | Boolean | Indicates if there was an error in any query source. |
data.reports | Boolean | Indicates if negative reports were found. |
validation | Object | Detailed background check validation results. Only present when ready: true. |
validation object fields
| Field | Type | Description |
|---|---|---|
contaduria | Boolean | Result from the General Accounting Office (Contaduría General de la Nación) query. |
contraloria | Boolean | Result from the Comptroller General (Contraloría General de la República) query. |
defuncion | Object | Death status information. Includes date, doc, and validity. |
delitos_sexuales | Array | Records found in the sexual offenses database. |
hallazgos | Object | Findings classified by risk level. |
hallazgos.altos | Array | High-risk findings. |
hallazgos.medios | Array | Medium-risk findings. |
hallazgos.bajos | Array | Low-risk findings. |
hallazgos.infos | Array | Informational findings (RUT, FOSYGA, RUAF, SISBEN, SENA, etc.). Do not represent risk. |
nivel | String | Overall risk level: alto (high), medio (medium), bajo (low), or info (no risk findings). |
interpol | Boolean | Result from Interpol watchlist query. |
ofac | Boolean | Result from OFAC sanctions list query. |
policia | Boolean | Result from police background check query. |
proveedores_ficticios | Boolean | Result from DIAN fictitious suppliers list query. |
rama | Object | Results from judicial office (JEPMS) queries by city. Each key is a boolean. |
rama_unificada | Array | Unified Judicial Branch judicial process results. |
registraduria | Object | National Registry (Registraduría Nacional) information. Includes cedula, estado, fecha_exp, lugar_exp, and nombre. |
rues | Object | Boolean | Unified Business and Social Registry (RUES) information. false if not registered. |
rut | String | Unified Tax Registry (RUT) number. |
rut_estado | String | RUT status (e.g., REGISTRO ACTIVO). |
nombre | String | Full name of the holder according to the queried source. |
genero | String | Reported gender (M / F). |
tipo_documento | String | Document type (e.g., CC, CE, PA). |
fecha | String | Date and time the report was generated. |
error | Boolean | Indicates whether any queried source returned an error. Details in errores. |
errores | Array<String> | List of sources that failed during the query (e.g., ["monteriajepms", "cartagenajepms"]). |
fosyga | Object | EPS affiliation information from the BDUA (FOSYGA). Includes entidad, estado, regimen, tipo_afiliado, fecha_afiliacion, fecha_finalizacion_afiliacion, departamento, municipio, among others. |
lista_onu | Boolean | Match in the United Nations consolidated sanctions list. |
lista_banco_mundial | Object | World Bank results. Includes debarred_firms_individuals and others_sanctions. |
offshoreleaks | Object | Matches in Offshore leaks. Contains Panama Papers, Pandora Papers, Paradise Papers, Bahamas Leaks, and Offshore Leaks. |
europol | Array | Matches in Europol lists. |
iadb | Array | Matches in the Inter-American Development Bank list. |
cidob | Object | Matches in the CIDOB database (biographies of political leaders). |
ofac_nombre | Boolean | OFAC match by name. |
ofac_resultados | Boolean | Array | Additional OFAC results. |
peps | Array | Matches in PEP (Politically Exposed Persons) lists. |
peps_denom | Array | PEP matches by denomination. |
procuraduria | Array | Records from the Attorney General's Office (Procuraduría General de la Nación). |
sigep | Object | Information from the Public Employment Information and Management System. |
sirna | Array | Matches in the National Attorneys Registry Information System. |
paco_online | Array | Results from the Colombia Anti-Corruption Portal (PACO). |
inpec | Object | Information from the National Penitentiary and Prison Institute. |
insolvencias | Array | Registered insolvency processes. |
juzgados_tyba | Array | Judicial processes in the Tyba system. |
reputacional | Object | Reputational information. Contains news (news items with title, link, sentimiento), social (social networks), and notable. |
relacionados | Array | Persons related to the document holder. |
ruaf | Object | Unified Registry of Affiliates. Includes affiliations to Salud, Pensiones, ARL, Cesantías, Caja de compensación, Pensionado, Programas de Asistencia Social, and Basico (basic data). |
sisben | Object | SISBEN classification. Includes Grupo, Tipo de grupo, Departamento, Municipio, Estado, and Actualizacion Ciudadano. |
sena | Array | SENA courses and certificates. Each element includes Programa, Tipo, Certificación, Registro, and Descarga. |
simit | Object | SIMIT information (traffic fines). Includes paz_salvo, cantidad_multas, multas, acuerdos_pagos, total_pagar, and cursos. |
runt | Object | RUNT information. Includes licencia (driver's licenses) and multa. |
simur | Array | Bogotá Integrated Mobility System (SIMUR) fines. |
rndc | Array | National Registry of Cargo Drivers. |
rnmc | Object | National Registry of Corrective Measures (National Police). |
profesion | Object | Professional registries. Includes abogado, abogados_judicial, rethus, copnia, jcc, comvezcol, consejopro, cpae, cpbiol, cpiq, cpnt, cpqcol, conalpe, conaltel, colpsic, anec. |
secop | Array | Public contracts from SECOP I. |
secop2 | Array | Public contracts from SECOP II. |
secop_proveedores | Array | Supplier information in SECOP. |
garantias_mobiliarias | Array | Movable guarantees registered under the holder's name. |
libreta_militar | Object | Military service card information. |
contadores | Array | Information in the public accountants registry. |
fopep | Object | Public Pension Fund (public regime pensioners). |
personeria_bogota | Array | Records from the Bogotá Ombudsman's Office. |
sisconmp | Object | System of Disqualifications for Mistreatment and Loss of Parental Authority. |
Finding structure
Each element in hallazgos.altos, hallazgos.medios, hallazgos.bajos, and hallazgos.infos has the following structure:
| Field | Type | Description |
|---|---|---|
cantidad | String | Number of matches found. |
codigo | String | Identifier code of the finding type. |
coincidencia | String | Indicates if there was a match ("True" / "False"). |
descripcion | String | Detailed description of the finding. |
fuente | String | Information source. |
hallazgo | String | Summary of the finding. |
html_id | String | null | URL to download the finding detail, if applicable. |
⚠️ Error Responses
| Code | Description |
|---|---|
| 400 | Missing parameters code. Process not found VALIDATION_NOT_FOUND. |
| 401 | Invalid or missing authentication. |